Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Interface Value

All Known Implementing Classes:
  AbstractValue

public interface Value

A Value is holder for a configuration value and metadata about a `PropertyDescriptor` for the configuration option.

Method Summary
`String[]` | `getAliases()` Aliases for the value in the form key1, value1, key2, value2, ...
`String` | `getDefault()` The default value for the property.
`String` | `getProperty()` Returns the property name that will be used when setting or getting this value in a `Properties` object.
`String` | `getString()` Return a stringified version of this value.
`void` | `setAliases(String[] aliases)` Aliases for the value in the form key1, value1, key2, value2, ...
`void` | `setDefault(String def)` The default value for the property.
`void` | `setString(String val)` Set this value from the given string.

Method Detail

### getProperty

    public String getProperty()

  Returns the property name that will be used when setting or getting this value in a `Properties` object.

### getAliases

    public String[] getAliases()

  Aliases for the value in the form key1, value1, key2, value2, ...

### setAliases

    public void setAliases(String[] aliases)

  Aliases for the value in the form key1, value1, key2, value2, ...

### getDefault

    public String getDefault()

  The default value for the property.

### setDefault

    public void setDefault(String def)

  The default value for the property.

### getString

    public String getString()

  Return a stringified version of this value. If the current value has a short alias key, the alias key is returned.

### setString

    public void setString(String val)

  Set this value from the given string. If the given string is null or empty and a default is defined, the default is used. If the given string (or default) is an alias key, it will be converted to the corresponding value internally.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.